commit:     a7e188e8e63b00e028ea5118f21d2d9a823e2303
Author:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 18 16:29:47 2015 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Fri Dec 18 16:32:44 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a7e188e8

dev-java/jansi: Make use of java-pkg-simple and allow for compilation to go 
through. Fixes bug 568616.

Package-Manager: portage-2.2.20.1
Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 dev-java/jansi/jansi-1.5-r1.ebuild | 33 +++++++++++++++++++++++++++++++++
 1 file changed, 33 insertions(+)

diff --git a/dev-java/jansi/jansi-1.5-r1.ebuild 
b/dev-java/jansi/jansi-1.5-r1.ebuild
new file mode 100644
index 0000000..9eb6c5e
--- /dev/null
+++ b/dev-java/jansi/jansi-1.5-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+JAVA_PKG_IUSE="source doc"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Jansi is a small java library that allows you to use ANSI escape 
sequences in your console output"
+HOMEPAGE="http://jansi.fusesource.org/";
+SRC_URI="https://github.com/fusesource/${PN}/archive/${P}.zip";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~ppc ~ppc64"
+
+CDEPEND="dev-java/jansi-native:0"
+
+DEPEND="${CDEPEND}
+       >=virtual/jdk-1.6"
+
+RDEPEND="${CDEPEND}
+       >=virtual/jre-1.6"
+
+S="${WORKDIR}/${PN}-${P}"
+
+JAVA_GENTOO_CLASSPATH="jansi-native"
+JAVA_SRC_DIR="src"
+
+java_prepare() {
+       rm -rf src/test || die
+}

Reply via email to